DisplayManager (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.backend

## Interface DisplayManager

- All Superinterfaces:
    DisplayDeviceManager, DisplayFormManager
  All Known Implementing Classes:
    DefaultDisplayManager

      public interface DisplayManager
      extends DisplayDeviceManager, DisplayFormManager

  This interface specifies the method signatures for a display manager consisting of a device manager and a formatter.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DisplayDeviceManager` | `displayDeviceManager()`
    `java.lang.String` | `displayForm(double x)`
    `java.lang.String` | `displayForm(int n, Type type)`
    `java.lang.String` | `displayForm(java.lang.Object o, Type type)`
    `DisplayFormManager` | `displayFormManager()`
    `java.io.PrintStream` | `getOutputStream()`
    `DisplayManager` | `setDisplayDeviceManager(DisplayDeviceManager device)`
    `DisplayManager` | `setDisplayFormManager(DisplayFormManager formatter)`
    `void` | `setOutputStream(java.io.PrintStream stream)`

    - ### Methods inherited from interface hlt.language.design.backend.DisplayDeviceManager

      `close, flush, print, println, println`

    - ### Methods inherited from interface hlt.language.design.backend.DisplayFormManager

      `clearTags, displayVoid, quotedDisplayForm, quotedDisplayForm, quotedDisplayForm, typedDisplayForm, typedDisplayForm, typedDisplayForm, unquotedDisplayForm, unquotedDisplayForm, unquotedDisplayForm`

- - ### Method Detail

    - #### displayDeviceManager

          DisplayDeviceManager displayDeviceManager()

    - #### displayFormManager

          DisplayFormManager displayFormManager()

    - #### setDisplayDeviceManager

          DisplayManager setDisplayDeviceManager(DisplayDeviceManager device)

    - #### setDisplayFormManager

          DisplayManager setDisplayFormManager(DisplayFormManager formatter)

    - #### setOutputStream

          void setOutputStream(java.io.PrintStream stream)

      Specified by:
        `setOutputStream` in interface `DisplayDeviceManager`

    - #### getOutputStream

          java.io.PrintStream getOutputStream()

      Specified by:
        `getOutputStream` in interface `DisplayDeviceManager`

    - #### displayForm

          java.lang.String displayForm(int n,
                                     Type type)

    - #### displayForm

          java.lang.String displayForm(double x)

    - #### displayForm

          java.lang.String displayForm(java.lang.Object o,
                                     Type type)